@echo off

setlocal

rem 
rem Set JAVA_HOME and J2EE_HOME before running this script.
rem 
rem set JAVA_HOME to the path where you have Java 2 installed.
rem
rem set J2EE_HOME to the path where you have installed this package (EJB server).
rem

set BUNDLE_HOME=%~dp0..\..
set SYNCSERVER_HOME=%BUNDLE_HOME%\{syncserver.home}

set JAVA_HOME=%BUNDLE_HOME%\tools\jre-1.4.2\jre
set J2EE_HOME=%BUNDLE_HOME%\tools\tomcat
set CATALINA_HOME=%J2EE_HOME%

cd "%BUNDLE_HOME%"

if EXIST "%J2EE_HOME%" goto CONT0
echo ERROR: "%BUNDLE_HOME%" does not seem to  a valid Sync4j bundle (missing "%J2EE_HOME%")
goto END
:CONT0

if EXIST "%JAVA_HOME%" goto CONT1
echo ERROR: "%BUNDLE_HOME%" does not seem to  a valid Sync4j bundle (missing "%JAVA_HOME%").
goto END
:CONT1

if EXIST "tools\bin\startall.cmd" goto CONT2
echo ERROR: "%BUNDLE_HOME%" does not seem to  a valid Sync4j bundle (missing tools\bin\startall.cmd)
goto END
:CONT2

REM
REM Other settings
REM

set JAVA_OPTS=%JAVA_OPTS% -Dsync4j.home="%SYNCSERVER_HOME%" -Dfile.encoding=UTF-8
REM set JPDA_OPTS="-Xdebug -Xrunjdwp:transport=dt_socket,address=8787,server=y,suspend=n"

cd "%J2EE_HOME%\bin"

REM
REM Run Hypersonic
REM
start "Hypersonic" "%JAVA_HOME%\bin\javaw" org.hsqldb.Server -database.0 "%BUNDLE_HOME%\tools\hypersonic\data\sync4j" -dbname.0 sync4j

REM
REM Run Tomcat for normal use
REM
call catalina.bat start

REM
REM Run Tomcat for debug
REM
REM call catalina.bat jpda start

cd "%SYNCSERVER_HOME%\bin"

start s4jstatus.exe "%SYNCSERVER_HOME%"

:END
endlocal
