#!/bin/sh

version=$1
tempfile=$2

if test "x$version" = "x" ; then
    echo " "
    echo "usage: $0 <version>"
    echo " "
    exit;
fi

cd `dirname $0`/../../..

export FORGE_HOME=`pwd`
export J2EE_HOME=${FORGE_HOME}/output/Sync4j/tools/tomcat
export APPSRV=tomcat

if [ ! -d ${FORGE_HOME}/output ]
then 
    echo "No output directory found: nothing to do."
    exit;
fi

cd ${FORGE_HOME}/output

if [ ! -d Sync4j ]
then
    echo "No Sync4j directory found: nothing to do."
    exit;
fi

if [ -f "Sync4j/Sync4j Web Site.url" ]
then
    rm "Sync4j/Sync4j Web Site.url"
fi

if [ -f "Sync4j/pimweb-demo.url" ]
then
    rm "Sync4j/pimweb-demo.url"
fi

if [ -f "Sync4j/admin/sync4j.url" ]
then
    rm "Sync4j/admin/sync4j.url"
fi

#
# Now we set execution permission to the relevant files.
#
chmod +x Sync4j/tools/bin/*
chmod +x Sync4j/tools/jre-1.4.2/jre/bin/*
chmod +x Sync4j/tools/tomcat/bin/*
chmod +x Sync4j/server/bin/*
chmod +x Sync4j/admin/bin/*
chmod +x Sync4j/clients/gui-client/*.sh
chmod +x Sync4j/server/ant/bin/*

#
# Tarring
#
echo "Archiving..."
tar cvzf ${tempfile} Sync4j

#
# Checksumming
#
echo "Checksumming..."
SUM=`sum ${tempfile}`

cp ${FORGE_HOME}/output/linux/head sync4j-$version.bin
echo " " >>sync4j-$version.bin
echo "#" >>sync4j-$version.bin
echo "# TO UPDATE EVERYTIME" >>sync4j-$version.bin
echo "#" >>sync4j-$version.bin
echo "packageName=Sync4j" >>sync4j-$version.bin
echo "diskSpaceRequired=120000" >>sync4j-$version.bin
echo "pkgSum=\"$SUM\"" >>sync4j-$version.bin
echo "destDir=." >>sync4j-$version.bin
echo "startingLine=481" >>sync4j-$version.bin
echo "###" >>sync4j-$version.bin
echo " " >>sync4j-$version.bin
cat ${FORGE_HOME}/output/linux/tail >>sync4j-$version.bin
# The following line cannot be added if the tail file has already and
# EOL as the last line. Some editors add one, some strip,...
#echo "" >>sync4j-$version.bin
cat ${tempfile} >> sync4j-$version.bin
